package cn.com.infosec.jce.spec;

import cn.com.infosec.jce.interfaces.IESKey;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.spec.KeySpec;

public class IEKeySpec implements KeySpec, IESKey {
   private PublicKey pubKey;
   private PrivateKey privKey;

   public IEKeySpec(PrivateKey privKey, PublicKey pubKey) {
      this.privKey = privKey;
      this.pubKey = pubKey;
   }

   public PublicKey getPublic() {
      return this.pubKey;
   }

   public PrivateKey getPrivate() {
      return this.privKey;
   }

   public String getAlgorithm() {
      return "IES";
   }

   public String getFormat() {
      return null;
   }

   public byte[] getEncoded() {
      return null;
   }
}
